## org.eclipse.datatools.enablement.sybase.deltaddl
Class ConstraintDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.sybase.deltaddl.ConstraintDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

Direct Known Subclasses:
  ASATableCheckConstraintDeltaDdlGenProvider, ReferenceConstraintDeltaDdlGenProvider

    public class ConstraintDeltaDdlGenProvider

extends AbstractDeltaDdlGenProvider

Constraint delta ddl gen provider

Author:
  Idull

Constructor Summary
`ConstraintDeltaDdlGenProvider()`

Method Summary
`void` `processAlterStatement(SQLObject element, java.util.Map modifyRecordMap, boolean quoteIdentifiers, boolean qualifyNames, boolean fullSyntax, SybaseDdlScript script, org.eclipse.core.runtime.IProgressMonitor monitor)` generate specified sqlobject modification scripts

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processCreateStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintDeltaDdlGenProvider

    public ConstraintDeltaDdlGenProvider()

Method Detail

### processAlterStatement

    public void processAlterStatement(SQLObject element,
                                      java.util.Map modifyRecordMap,
                                      boolean quoteIdentifiers,
                                      boolean qualifyNames,
                                      boolean fullSyntax,
                                      SybaseDdlScript script,
                                      org.eclipse.core.runtime.IProgressMonitor monitor)

  Description copied from interface: `IDeltaDdlGenProvider`
  generate specified sqlobject modification scripts

  Specified by:
    `processAlterStatement` in interface `IDeltaDdlGenProvider`
  Overrides:
    `processAlterStatement` in class `AbstractDeltaDdlGenProvider`